Subject: Re: [PATCH] powerpc: asm: convert directive .llong to .8byte

From: "Tobin C. Harding" <[email-masked]>
Date: Fri, 10 Mar 2017 19:19:29 +1100

On Fri, Mar 10, 2017 at 11:09:08AM +1100, Daniel Axtens wrote:
> Hi Tobin,
> 
> > .llong is an undocumented PPC specific directive. The generic
> > equivalent is .quad, but even better (because it's self describing) is
> > .8byte.
> >
> > Convert directives .llong -> .8byte
> >
> > Signed-off-by: Tobin C. Harding <[email-masked]>
> > ---
> >
> > Fixes: issue #33 (github)
> 
> Thanks for tackling these!
> 
> I have applied your patch to my local tree. I ran `git grep '\.llong'`,
> and found:
> 
> tools/testing/selftests/powerpc/switch_endian/switch_endian_test.S: .llong 0x5555AAAA5555AAAA
> 
> That file is also handled by mpe and the powerpc tree even though it
> doesn't live in arch/powerpc - could you please change that one as well?

Awesome, thanks Daniel. I did not know to look there. Will re submit.

thanks,
Tobin.